org.richfaces.component.attribute

## Interface TreeProps

- All Known Implementing Classes:
    AbstractTree, UITree

      public interface TreeProps

  Interface defining the methods for tree-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNodeClass()` Space-separated list of CSS style class(es) to be applied to the tree nodes.
    `String` | `getNodeType()` Determines which treeNode should be used for rendering.
    `String` | `getOnbeforenodetoggle()` The client-side script method to be called before the node is toggled.
    `String` | `getOnbeforeselectionchange()` The client-side script method to be called before the selection is changed.
    `String` | `getOnnodetoggle()` The client-side script method to be called after the node is toggled.
    `String` | `getOnselectionchange()` The client-side script method to be called after the selection is changed.
    `String` | `getRowKeyVar()` Provides access to the row key in a Request scope
    `Collection` | `getSelection()` The collections of selected nodes.
    `javax.el.MethodExpression` | `getSelectionChangeListener()` Method expression referencing a method that will be called when an TreeSelectionChangeEvent has been broadcast for the listener.
    `SwitchType` | `getSelectionType()` The type of type of the selection - ajax (default), client, server.
    `String` | `getStateVar()` Provides access to the state in a Request scope
    `javax.el.MethodExpression` | `getToggleListener()` MethodExpression representing an tree node toggle listener method that will be notified when the tree node is toggled.
    `String` | `getToggleNodeEvent()` Client-side event used for toggling tree nodes (click, dblclick, etc.)
    `SwitchType` | `getToggleType()` The type of type of the node toggling - ajax (default), client, server.
    `String` | `getVar()` A request-scope attribute via which the data object for the current row will be used when iterating
    `boolean` | `isKeepSaved()` Boolean attribute that defines whether this iteration component will reset saved children's state before rendering.

- - ### Method Detail

    - #### getNodeClass

          String getNodeClass()

      Space-separated list of CSS style class(es) to be applied to the tree nodes.

    - #### getNodeType

          String getNodeType()

      Determines which treeNode should be used for rendering. Should contain EL expressions which uses request-scoped variable with name defied in attribute 'var'.

    - #### getOnnodetoggle

          String getOnnodetoggle()

      The client-side script method to be called after the node is toggled.

    - #### getOnselectionchange

          String getOnselectionchange()

      The client-side script method to be called after the selection is changed.

    - #### getOnbeforenodetoggle

          String getOnbeforenodetoggle()

      The client-side script method to be called before the node is toggled.

    - #### getOnbeforeselectionchange

          String getOnbeforeselectionchange()

      The client-side script method to be called before the selection is changed.

    - #### getToggleNodeEvent

          String getToggleNodeEvent()

      Client-side event used for toggling tree nodes (click, dblclick, etc.)

    - #### getSelection

          Collection getSelection()

      The collections of selected nodes.

    - #### getSelectionType

          SwitchType getSelectionType()

      The type of type of the selection - ajax (default), client, server.

    - #### getToggleType

          SwitchType getToggleType()

      The type of type of the node toggling - ajax (default), client, server.

    - #### getSelectionChangeListener

          javax.el.MethodExpression getSelectionChangeListener()

      Method expression referencing a method that will be called when an TreeSelectionChangeEvent has been broadcast for the listener.

    - #### getToggleListener

          javax.el.MethodExpression getToggleListener()

      MethodExpression representing an tree node toggle listener method that will be notified when the tree node is toggled. The expression must evaluate to a public method that takes an TreeToggleEvent parameter, with a return type of void, or to a public method that takes no arguments with a return type of void. In the latter case, the method has no way of easily knowing where the event came from, but this can be useful in cases where a notification is needed that "some action happened".

    - #### getVar

          String getVar()

      A request-scope attribute via which the data object for the current row will be used when iterating

    - #### getRowKeyVar

          String getRowKeyVar()

      Provides access to the row key in a Request scope

    - #### getStateVar

          String getStateVar()

      Provides access to the state in a Request scope

    - #### isKeepSaved

          boolean isKeepSaved()

      Boolean attribute that defines whether this iteration component will reset saved children's state before rendering. By default state is reset if there are no faces messages with severity error or higher

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.